Skip to main content
Use the calls engagement API to log and manage calls on CRM records and on the calls index page. You can log calls either in HubSpot or through the calls API. Below, learn the basic methods of managing calls through the API.

Create a call engagement

To create a call engagement, make a POST request to /crm/v3/objects/calls. In the request body, add call details in a properties object. You can also add an associations object to associate your new call with an existing record (e.g.,contacts, companies).

Properties

Below is a list of HubSpot default calling properties that you can include in the properties object. You can also create custom properties using the properties API.

Associations

To create and associate a call with existing records, include an associations object in your request. For example, to create a call and associate it with a contact and a ticket, your request body might look similar to the following:
In the associations object, you should include the following: Learn more about batch creating calls by checking out the reference documentation.

Retrieve calls

You can retrieve calls individually or in bulk. Learn more about batch retrieval by checking out the reference documentation. To retrieve an individual call by its call ID, make a GET request to /crm/v3/objects/calls/{callId}. You can include the following parameters in the request URL: To request a list of all of calls, make a GET request to /crm/v3/objects/calls. You can include the following parameters in the request URL: When you make a successful request, the response will include the callId which you can use to retrieve, update, and delete the call.

Identify voicemails vs. recorded calls

For recorded calls and voicemails, a recording is stored in the hs_call_recording_url property. If your account has access to inbound calling, to differentiate between calls that were completed and recorded vs. inbound calls with a voicemail, include the following properties in your request: hs_call_status and hs_call_has_voicemail. If a call has a voicemail, the hs_call_status value will be missed, and the hs_call_has_voicemail value will be true. The hs_call_has_voicemail value will be false for an inbound call where no voicemail was left, or null if the call has a status other than missed.

Update calls

You can update calls individually or in batches. To update an individual call by its call ID, make a PATCH request to /crm/v3/objects/calls/{callId}. In the request body, include the call properties that you want to update:
HubSpot will ignore values for read-only and non-existent properties. To clear a property value, pass an empty string for the property in the request body. Learn more about batch updating by checking out the reference documentation.

Associate existing calls with records

To associate a call with records, such as a contact and its associated companies, make a PUT request to /crm/v3/objects/calls/{callId}/associations/{toObjectType}/{toObjectId}/{associationTypeId}. The request URL contains the following fields: For example, your request URL might look similar to the following: https://api.hubspot.com/crm/v3/objects/calls/17591596434/associations/contact/104901/194

Remove an association

To remove an association between a call and a record, make a DELETE request to the same URL as above: /crm/v3/objects/calls/{callId}/associations/{toObjectType}/{toObjectId}/{associationTypeId}

Pin a call on a record

You can pin a call on a record so it remains on the top of the record’s timeline. The call must already be associated with the record prior to pinning, and you can only pin one activity per record. To pin a call, include the call’s id in the hs_pinned_engagement_id field when creating or updating a record via the object APIs. Learn more about using the companies,contacts, deals, tickets, and custom objects APIs.

Delete calls

You can delete calls individually or in batches, which will add the call to the recycling bin in HubSpot. You can later restore the call from the record timeline. To delete an individual call by its call ID, make a DELETE request to /crm/v3/objects/calls/{callId}. Learn more about deleting calls by checking out the reference documentation.
Last modified on April 13, 2026